MediaWiki:Vector.css: Difference between revisions

From AviationSafetyX Wiki
Jump to navigation Jump to search
No edit summary
No edit summary
Line 10: Line 10:
   content: "";
   content: "";
   position: absolute;
   position: absolute;
   top: -20px;
   top: 10px;
   left: 70px; /* Offsets 70px from the left */
   left: 70px; /* Offsets 70px from the left */
   width: calc(100% - 70px); /* Prevents overflow on the right */
   width: calc(100% - 70px); /* Prevents overflow on the right */

Revision as of 19:54, 4 April 2025

/* All CSS here will be loaded for users of the Vector skin */
/* Suppress red links for Vector skin */
a.new, a.new:visited {
    color: inherit !important;
    pointer-events: none !important;
    text-decoration: none !important;
}

#mw-head-base::before {
  content: "";
  position: absolute;
  top: 10px;
  left: 70px; /* Offsets 70px from the left */
  width: calc(100% - 70px); /* Prevents overflow on the right */
  height: 80px;
  background: url("https://wiki.alsresume.com/images/0/0c/ASX-Header-Banner.png") no-repeat left center;
  background-size: contain;
  opacity: 1.00;
  z-index: 0;
}

#mw-head-base {
  position: relative !important;
  height: 110px !important;
  background: none !important;
  z-index: 1;
}

#p-personal, #left-navigation, #right-navigation {
  position: relative;
  z-index: 2;
}

.vector-menu-tabs {
  margin-top: 8px !important;
}

.mw-wiki-logo {
  z-index: 3;
  position: relative;
  filter: drop-shadow(0 0 3px #000);
}